# cfxdm - dm:dns\_ip\_to\_name

**dm:dns\_ip\_to\_name:** It allows to resolve the IP addresses listed in a column to FQDN names into another column.

**dm:dns\_ip\_to\_name:** Syntax

* **from\_cols** (mandatory)**:** Comma separated list of column names which has IP Address values
* **to\_cols** (mandatory)**:** Comma separated list of column names to store resolved DNS Names (FQDN).
* **keep\_value** (optional): If it is set to **'yes',** it stores the original value, else it stores 'null' value. By default it is set to '**no**'
* **num\_threads** (optional): Number of DNS lookup threads. Must be in the range of 1 to 20, Default is set to 5.

{% hint style="info" %}
This tag uses the DNS servers configured on the host os where **cfxdx** is installed and running for IP Address to DNS or FQDN name resolution.
{% endhint %}

{% hint style="info" %}
It requires an input dataset or a tag which has one or more columns with IP Address values.
{% endhint %}

In the below example, tag [**dm:recall**](/rda/rda-userguide/rda-data-management-cfxdm/cfxdx-dm-recall.md) is used to retrieve the data from an existing saved dataset.

```
tag @dm:recall
```

```
data name = 'netstat-app-connections' --> @dm:dns_ip_to_name from_cols = 'localAddr' & to_cols = 'localAddr_fqdn' & keep_value = 'yes'
```

As shown in the below screen, dataset '**netstat-app-connections**' has a column called '**localAddr**' with IP Address values in it which is ingested into **dm:dm:dns\_ip\_to\_name** tag to enrich the IP Address values by resolving them into fully qualified domain names and store the output into a new column called '**localAddr\_fqdn**'.&#x20;

**keep\_value = 'yes'** : This means, if an IP Address is not resolved to DNS name (FQDN), it will maintain the same IP Address as a value instead of leaving it as empty.

![](/files/-MXFV8e_PkdpLkp0LkjH)

Below screen output shows the resolved DNS name (FQDN) under column '**localAddr\_fqdn**'

![](/files/-MXFVVT-01TEdd1VOeBf)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-dns_ip_to_name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
